---
schema_version: "1"
id: 246fe61a8820cc7dc1a6c49e4c38144a8fbd21b3e50b33c18173914324ed033a
title: Wealth Management
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/fsc_wealth_mgmt.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/fsc_wealth_mgmt
source_site: developer.salesforce.com
content_type: documentation
content_hash: f608147a8fed238380476cf8c81061efd1f852b5ec8db607242128d9f2563194
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Wealth Management

# Wealth Management

Use the Financial Services Cloud Wealth Management API to access wealth management features. With this integration API, you can manage beneficiaries, update customer profile.

**Version:** v1

Protocols: HTTPS.

## Operations

### POST Add beneficiary

`POST /InvestmentAccounts/Initiate`

Adds a beneficiary to an account.

#### Parameters

*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `BeneficiariesRequest`.

_Example_

```
InvestmentAccounts:
  AccountIds:
    - 01axx000003MLytAAG
    - 01axx000003MLytAAT
  Beneficiaries:
    Primary:
      -
        BeneficiaryName: Gabriel Basso
        BeneficiaryType: Institution
        IncorporationDate: 04/06/1990
        EmailAddress: gabriel.basso@gmail.com
        MobileNumber: "9835244324"
        InstituionType: Trust
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        SharePercentage: "40"
        PerStirpes: yes
      -
        SharePercentage: "60"
        SSN: 368-46-5302
        MobileNumber: "9807671486"
        RelationshipType: Mother
        EmailAddress: canute.gomes@gmail.com
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Canute Gomes
    Contingent:
      -
        SharePercentage: "40"
        SSN: 569-94-7728
        MobileNumber: "9876541234"
        RelationshipType: Grandson
        EmailAddress: ngela.bundalovic@gmail.com
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Angela Bundalovic
      -
        SharePercentage: "60"
        SSN: 617-10-7229
        MobileNumber: "9862433885"
        RelationshipType: Daughter
        EmailAddress: shailyn.pierre@gmail.com
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Shailyn Pierre
```

#### Responses

*   **201** Added beneficiary.
    
    Media type: `application/json`. Schema: `BeneficiariesResponse`.
    
    _Example_
    
    ```
    InvestmentAccounts:
      AccountIds:
        - 01axx000003MLytAAG
        - 01axx000003MLytAAT
      Beneficiaries:
        Primary:
          -
            BeneficiaryName: Gabriel Basso
            BeneficiaryType: Institution
            IncorporationDate: 04/06/1990
            EmailAddress: gabriel.basso@gmail.com
            MobileNumber: "9835244324"
            InstituionType: Trust
            Address:
              Country: USA
              AddressLine2: Floor 61
              AddressType: Mailing Address
              State: CA
              AddressLine1: 415 Mission St
              PostalCode: "94105"
              City: San Francisco
            SharePercentage: "40"
            PerStirpes: yes
            BeneficiaryId: BFR-8066473
          -
            SharePercentage: "60"
            SSN: 368-46-5302
            MobileNumber: "9807671486"
            RelationshipType: Mother
            EmailAddress: canute.gomes@gmail.com
            BeneficiaryId: BFR-6065227
            BeneficiaryType: Individual
            Address:
              Country: USA
              AddressLine2: Floor 61
              AddressType: Mailing Address
              State: CA
              AddressLine1: 415 Mission St
              PostalCode: "94105"
              City: San Francisco
            BeneficiaryDob: 04/06/1990
            PerStirpes: yes
            BeneficiaryName: Canute Gomes
        Contingent:
          -
            SharePercentage: "40"
            SSN: 569-94-7728
            MobileNumber: "9876541234"
            RelationshipType: Grandson
            EmailAddress: ngela.bundalovic@gmail.com
            BeneficiaryId: BFR-6065228
            BeneficiaryType: Individual
            Address:
              Country: USA
              AddressLine2: Floor 61
              AddressType: Mailing Address
              State: CA
              AddressLine1: 415 Mission St
              PostalCode: "94105"
              City: San Francisco
            BeneficiaryDob: 04/06/1990
            PerStirpes: yes
            BeneficiaryName: Angela Bundalovic
          -
            SharePercentage: "60"
            SSN: 617-10-7229
            MobileNumber: "9862433885"
            RelationshipType: Daughter
            EmailAddress: shailyn.pierre@gmail.com
            BeneficiaryId: BFR-6065229
            BeneficiaryType: Individual
            Address:
              Country: USA
              AddressLine2: Floor 61
              AddressType: Mailing Address
              State: CA
              AddressLine1: 415 Mission St
              PostalCode: "94105"
              City: San Francisco
            BeneficiaryDob: 04/06/1990
            PerStirpes: yes
            BeneficiaryName: Shailyn Pierre
    ```
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update account information

`PATCH /InvestmentAccounts/Update`

Updates details of the beneficiary with the specified BeneficiaryId, or adds a beneficiary if the BeneficiaryId is missing.

#### Request body

Media type: `application/json`. Schema: `UpdateAccountRequest`.

_Example_

```
InvestmentAccounts:
  AccountIds:
    - 01axx000003MLytAAG
    - 01axx000003MLytAAT
  Addresses:
    -
      Country: USA
      AddressLine2: Floor 61
      AddressType: Mailing Address
      State: CA
      AddressLine1: 415 Mission St
      PostalCode: "94105"
      City: San Francisco
  Beneficiaries:
    Primary:
      -
        BeneficiaryName: Gabriel Basso
        BeneficiaryType: Institution
        IncorporationDate: 04/06/1990
        EmailAddress: gabriel.basso@gmail.com
        MobileNumber: "9835244324"
        InstituionType: Trust
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        SharePercentage: "40"
        PerStirpes: yes
        BeneficiaryId: BFR-8066473
      -
        SharePercentage: "60"
        SSN: 368-46-5302
        MobileNumber: "9807671486"
        RelationshipType: Mother
        EmailAddress: canute.gomes@gmail.com
        BeneficiaryId: BFR-6065227
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Canute Gomes
    Contingent:
      -
        SharePercentage: "40"
        SSN: 569-94-7728
        MobileNumber: "9876541234"
        RelationshipType: Grandson
        EmailAddress: ngela.bundalovic@gmail.com
        BeneficiaryId: BFR-6065228
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Angela Bundalovic
      -
        SharePercentage: "60"
        SSN: 617-10-7229
        MobileNumber: "9862433885"
        RelationshipType: Daughter
        EmailAddress: shailyn.pierre@gmail.com
        BeneficiaryId: BFR-6065229
        BeneficiaryType: Individual
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
        BeneficiaryDob: 04/06/1990
        PerStirpes: yes
        BeneficiaryName: Shailyn Pierre
```

#### Responses

*   **200** Updated account information.
    
    Media type: `application/json`. Schema: `UpdateAccountRequest`.
    
    _Example: same as PATCH /InvestmentAccounts/Update request._
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### DELETE Delete beneficiary

`DELETE /InvestmentAccounts/Delete`

Deletes a beneficiary from an account.

#### Parameters

*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `DeleteBeneficiariesRequest`.

#### Responses

*   **200** Deleted beneficiary.
    
    Media type: `application/json`. Schema: `DeleteBeneficiariesResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Process RMD request

`POST /InvestmentAccounts/{accountId}/RMD`

Processes a Required Minimum Distribution request.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object | object`.

One of: `object`, `object`.

*   _object_
    
    The Required Minimum Distribution is paid once on the date requested.
    
    *   `PaymentOption` (_string_, required)  
        Allowed values: `ONETIME RMD`. Example: `ONETIME RMD`.
    *   `TaxYear` (_string_, required) The year for which the RMD is processed, either Current Tax Year, Previous Tax Year, or a specified year.  
        Example: `2023`.
    *   `CalculateRMDAmount` (_string_, required) Whether the value of the RMD amount is calculated by the company, either Yes or No.  
        Example: `No`.
    *   `WithdrawalAmount` (_object_) Required only if CalculateRMDAmount is No.
        *   `Currency` (_string_, required) The ISO 4217 currency code.  
            Example: `USD`.
        *   `Amount` (_string_, required) The withdrawal amount.  
            Example: `1000`.
    *   `PaymentInstructions` (_object | object | object_, required)
        
        One of: `object`, `object`, `object`.
        
        *   _object_
            
            Provides check information.
            
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to BY\_CHECK.  
                Allowed values: `BY_CHECK`. Example: `BY_CHECK`.
            *   `PayeeName` (_string_, required) The payable-to name on the check.  
                Example: `Mark Ruffalo`.
            *   `BankName` (_string_, required) The bank name.  
                Example: `CITI`.
            *   `BankAddress` (_object_, required)
                *   `AddressType` (_string_) The customer address type, such as home.  
                    Example: `Mailing Address`.
                *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                    Example: `415 Mission St`.
                *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                    Example: `Floor 61`.
                *   `City` (_string_) The city of the customer address.  
                    Example: `San Francisco`.
                *   `State` (_string_) The state of the customer address.  
                    Example: `CA`.
                *   `PostalCode` (_string_) The postal code of the customer address.  
                    Example: `94105`.
                *   `Country` (_string_) The country of the customer address.  
                    Example: `USA`.
        *   _object_
            
            Provides bank information.
            
            *   `BankAccountDetails` (_object_, required)
                *   `AccountNumber` (_string_, required) The account number.  
                    Example: `AC08897765F2`.
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                Allowed values: `TO_BANK`.
            *   `EFTAccountType` (_string_, required) The EFT account type is set to EXISTING.  
                Allowed values: `EXISTING`.
        *   _object_
            
            Provides bank information.
            
            *   `BankAccountDetails` (_object_, required)
                *   `AccountHolderName` (_string_, required) The name of the account holder.  
                    Example: `Mark Ruffalo`.
                *   `AccountNumber` (_string_, required) The account number.  
                    Example: `AC08897765F2`.
                *   `AccountType` (_string_, required) The account type.  
                    Example: `SAVINGS`.
                *   `RoutingNumber` (_string_, required) A unique number that identifies the bank address.  
                    Example: `074000078`.
                *   `BankName` (_string_, required) The bank name.  
                    Example: `CITI`.
                *   `Address` (_object_, required)
                    *   `AddressType` (_string_) The customer address type, such as home.  
                        Example: `Mailing Address`.
                    *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                        Example: `415 Mission St`.
                    *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                        Example: `Floor 61`.
                    *   `City` (_string_) The city of the customer address.  
                        Example: `San Francisco`.
                    *   `State` (_string_) The state of the customer address.  
                        Example: `CA`.
                    *   `PostalCode` (_string_) The postal code of the customer address.  
                        Example: `94105`.
                    *   `Country` (_string_) The country of the customer address.  
                        Example: `USA`.
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                Allowed values: `TO_BANK`.
            *   `EFTAccountType` (_string_, required) The EFT account type is set to NEW.  
                Allowed values: `NEW`.
    *   `TaxWithholdings` (_object_)
        *   `State` (_string_, required) The owner's state of residence.  
            Example: `Alaska`.
        *   `StateTaxPercentage` (_string_, required) The state tax percentage.  
            Example: `0.01`.
        *   `FederalTaxPercentage` (_string_, required) The federal tax percentage.  
            Example: `0.1`.
*   _object_
    
    The Required Minimum Distribution is paid at the selected frequency.
    
    *   `PaymentOption` (_string_, required)  
        Allowed values: `AUTOMATED RMD`. Example: `AUTOMATED RMD`.
    *   `PaymentFrequency` (_string_, required) The frequency at which the RMD amount is paid.  
        Allowed values: `ANNUAL`, `QUARTERLY`, `MONTHLY`, `SEMI-ANNUAL`.
    *   `DistributionSchedule` (_object_, required)
        *   `PaymentDate` (_string_, required) The periodic payment date.  
            Example: `10/10/2023`.
    *   `PaymentInstructions` (_object | object | object_, required)
        
        One of: `object`, `object`, `object`.
        
        *   _object_
            
            Provides check information.
            
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to BY\_CHECK.  
                Allowed values: `BY_CHECK`. Example: `BY_CHECK`.
            *   `PayeeName` (_string_, required) The payable-to name on the check.  
                Example: `Mark Ruffalo`.
            *   `BankName` (_string_, required) The bank name.  
                Example: `CITI`.
            *   `BankAddress` (_object_, required)
                *   `AddressType` (_string_) The customer address type, such as home.  
                    Example: `Mailing Address`.
                *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                    Example: `415 Mission St`.
                *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                    Example: `Floor 61`.
                *   `City` (_string_) The city of the customer address.  
                    Example: `San Francisco`.
                *   `State` (_string_) The state of the customer address.  
                    Example: `CA`.
                *   `PostalCode` (_string_) The postal code of the customer address.  
                    Example: `94105`.
                *   `Country` (_string_) The country of the customer address.  
                    Example: `USA`.
        *   _object_
            
            Provides bank information.
            
            *   `BankAccountDetails` (_object_, required)
                *   `AccountNumber` (_string_, required) The account number.  
                    Example: `AC08897765F2`.
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                Allowed values: `TO_BANK`.
            *   `EFTAccountType` (_string_, required) The EFT account type is set to EXISTING.  
                Allowed values: `EXISTING`.
        *   _object_
            
            Provides bank information.
            
            *   `BankAccountDetails` (_object_, required)
                *   `AccountHolderName` (_string_, required) The name of the account holder.  
                    Example: `Mark Ruffalo`.
                *   `AccountNumber` (_string_, required) The account number.  
                    Example: `AC08897765F2`.
                *   `AccountType` (_string_, required) The account type.  
                    Example: `SAVINGS`.
                *   `RoutingNumber` (_string_, required) A unique number that identifies the bank address.  
                    Example: `074000078`.
                *   `BankName` (_string_, required) The bank name.  
                    Example: `CITI`.
                *   `Address` (_object_, required)
                    *   `AddressType` (_string_) The customer address type, such as home.  
                        Example: `Mailing Address`.
                    *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                        Example: `415 Mission St`.
                    *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                        Example: `Floor 61`.
                    *   `City` (_string_) The city of the customer address.  
                        Example: `San Francisco`.
                    *   `State` (_string_) The state of the customer address.  
                        Example: `CA`.
                    *   `PostalCode` (_string_) The postal code of the customer address.  
                        Example: `94105`.
                    *   `Country` (_string_) The country of the customer address.  
                        Example: `USA`.
            *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                Allowed values: `TO_BANK`.
            *   `EFTAccountType` (_string_, required) The EFT account type is set to NEW.  
                Allowed values: `NEW`.
    *   `TaxWithholdings` (_object_)
        *   `State` (_string_, required) The owner's state of residence.  
            Example: `Alaska`.
        *   `StateTaxPercentage` (_string_, required) The state tax percentage.  
            Example: `0.01`.
        *   `FederalTaxPercentage` (_string_, required) The federal tax percentage.  
            Example: `0.1`.

#### Responses

*   **201** Processed RMD request.
    
    Media type: `application/json`. Schema: `object | object`.
    
    One of: `object`, `object`.
    
    *   _object_
        
        The Required Minimum Distribution is paid once on the date requested.
        
        *   `PaymentOption` (_string_, required)  
            Allowed values: `ONETIME RMD`. Example: `ONETIME RMD`.
        *   `TaxYear` (_string_, required) The year for which the RMD is processed, either Current Tax Year, Previous Tax Year, or a specified year.  
            Example: `2023`.
        *   `CalculateRMDAmount` (_string_, required) Whether the value of the RMD amount is calculated by the company, either Yes or No.  
            Example: `No`.
        *   `WithdrawalAmount` (_object_) Required only if CalculateRMDAmount is No.
            *   `Currency` (_string_, required) The ISO 4217 currency code.  
                Example: `USD`.
            *   `Amount` (_string_, required) The withdrawal amount.  
                Example: `1000`.
        *   `PaymentInstructions` (_object | object | object_, required)
            
            One of: `object`, `object`, `object`.
            
            *   _object_
                
                Provides check information.
                
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to BY\_CHECK.  
                    Allowed values: `BY_CHECK`. Example: `BY_CHECK`.
                *   `PayeeName` (_string_, required) The payable-to name on the check.  
                    Example: `Mark Ruffalo`.
                *   `BankName` (_string_, required) The bank name.  
                    Example: `CITI`.
                *   `BankAddress` (_object_, required)
                    *   `AddressType` (_string_) The customer address type, such as home.  
                        Example: `Mailing Address`.
                    *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                        Example: `415 Mission St`.
                    *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                        Example: `Floor 61`.
                    *   `City` (_string_) The city of the customer address.  
                        Example: `San Francisco`.
                    *   `State` (_string_) The state of the customer address.  
                        Example: `CA`.
                    *   `PostalCode` (_string_) The postal code of the customer address.  
                        Example: `94105`.
                    *   `Country` (_string_) The country of the customer address.  
                        Example: `USA`.
            *   _object_
                
                Provides bank information.
                
                *   `BankAccountDetails` (_object_, required)
                    *   `AccountNumber` (_string_, required) The account number.  
                        Example: `AC08897765F2`.
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                    Allowed values: `TO_BANK`.
                *   `EFTAccountType` (_string_, required) The EFT account type is set to EXISTING.  
                    Allowed values: `EXISTING`.
            *   _object_
                
                Provides bank information.
                
                *   `BankAccountDetails` (_object_, required)
                    *   `AccountHolderName` (_string_, required) The name of the account holder.  
                        Example: `Mark Ruffalo`.
                    *   `AccountNumber` (_string_, required) The account number.  
                        Example: `AC08897765F2`.
                    *   `AccountType` (_string_, required) The account type.  
                        Example: `SAVINGS`.
                    *   `RoutingNumber` (_string_, required) A unique number that identifies the bank address.  
                        Example: `074000078`.
                    *   `BankName` (_string_, required) The bank name.  
                        Example: `CITI`.
                    *   `Address` (_object_, required)
                        *   `AddressType` (_string_) The customer address type, such as home.  
                            Example: `Mailing Address`.
                        *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                            Example: `415 Mission St`.
                        *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                            Example: `Floor 61`.
                        *   `City` (_string_) The city of the customer address.  
                            Example: `San Francisco`.
                        *   `State` (_string_) The state of the customer address.  
                            Example: `CA`.
                        *   `PostalCode` (_string_) The postal code of the customer address.  
                            Example: `94105`.
                        *   `Country` (_string_) The country of the customer address.  
                            Example: `USA`.
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                    Allowed values: `TO_BANK`.
                *   `EFTAccountType` (_string_, required) The EFT account type is set to NEW.  
                    Allowed values: `NEW`.
        *   `TaxWithholdings` (_object_)
            *   `State` (_string_, required) The owner's state of residence.  
                Example: `Alaska`.
            *   `StateTaxPercentage` (_string_, required) The state tax percentage.  
                Example: `0.01`.
            *   `FederalTaxPercentage` (_string_, required) The federal tax percentage.  
                Example: `0.1`.
    *   _object_
        
        The Required Minimum Distribution is paid at the selected frequency.
        
        *   `PaymentOption` (_string_, required)  
            Allowed values: `AUTOMATED RMD`. Example: `AUTOMATED RMD`.
        *   `PaymentFrequency` (_string_, required) The frequency at which the RMD amount is paid.  
            Allowed values: `ANNUAL`, `QUARTERLY`, `MONTHLY`, `SEMI-ANNUAL`.
        *   `DistributionSchedule` (_object_, required)
            *   `PaymentDate` (_string_, required) The periodic payment date.  
                Example: `10/10/2023`.
        *   `PaymentInstructions` (_object | object | object_, required)
            
            One of: `object`, `object`, `object`.
            
            *   _object_
                
                Provides check information.
                
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to BY\_CHECK.  
                    Allowed values: `BY_CHECK`. Example: `BY_CHECK`.
                *   `PayeeName` (_string_, required) The payable-to name on the check.  
                    Example: `Mark Ruffalo`.
                *   `BankName` (_string_, required) The bank name.  
                    Example: `CITI`.
                *   `BankAddress` (_object_, required)
                    *   `AddressType` (_string_) The customer address type, such as home.  
                        Example: `Mailing Address`.
                    *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                        Example: `415 Mission St`.
                    *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                        Example: `Floor 61`.
                    *   `City` (_string_) The city of the customer address.  
                        Example: `San Francisco`.
                    *   `State` (_string_) The state of the customer address.  
                        Example: `CA`.
                    *   `PostalCode` (_string_) The postal code of the customer address.  
                        Example: `94105`.
                    *   `Country` (_string_) The country of the customer address.  
                        Example: `USA`.
            *   _object_
                
                Provides bank information.
                
                *   `BankAccountDetails` (_object_, required)
                    *   `AccountNumber` (_string_, required) The account number.  
                        Example: `AC08897765F2`.
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                    Allowed values: `TO_BANK`.
                *   `EFTAccountType` (_string_, required) The EFT account type is set to EXISTING.  
                    Allowed values: `EXISTING`.
            *   _object_
                
                Provides bank information.
                
                *   `BankAccountDetails` (_object_, required)
                    *   `AccountHolderName` (_string_, required) The name of the account holder.  
                        Example: `Mark Ruffalo`.
                    *   `AccountNumber` (_string_, required) The account number.  
                        Example: `AC08897765F2`.
                    *   `AccountType` (_string_, required) The account type.  
                        Example: `SAVINGS`.
                    *   `RoutingNumber` (_string_, required) A unique number that identifies the bank address.  
                        Example: `074000078`.
                    *   `BankName` (_string_, required) The bank name.  
                        Example: `CITI`.
                    *   `Address` (_object_, required)
                        *   `AddressType` (_string_) The customer address type, such as home.  
                            Example: `Mailing Address`.
                        *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                            Example: `415 Mission St`.
                        *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                            Example: `Floor 61`.
                        *   `City` (_string_) The city of the customer address.  
                            Example: `San Francisco`.
                        *   `State` (_string_) The state of the customer address.  
                            Example: `CA`.
                        *   `PostalCode` (_string_) The postal code of the customer address.  
                            Example: `94105`.
                        *   `Country` (_string_) The country of the customer address.  
                            Example: `USA`.
                *   `PaymentInstructionType` (_string_, required) The payment instruction type is set to TO\_BANK.  
                    Allowed values: `TO_BANK`.
                *   `EFTAccountType` (_string_, required) The EFT account type is set to NEW.  
                    Allowed values: `NEW`.
        *   `TaxWithholdings` (_object_)
            *   `State` (_string_, required) The owner's state of residence.  
                Example: `Alaska`.
            *   `StateTaxPercentage` (_string_, required) The state tax percentage.  
                Example: `0.01`.
            *   `FederalTaxPercentage` (_string_, required) The federal tax percentage.  
                Example: `0.1`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Send ACATS request

`POST /InvestmentAccounts/{accountId}/Acats`

Sends an Automated Customer Account Transfer Service request.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `AcatsRequest`.

#### Responses

*   **201** Sent ACATS request.
    
    Media type: `application/json`. Schema: `AcatsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve investment account details

`GET /InvestmentAccounts/{accountId}/Retrieve`

Retrieves details and beneficiaries for all linked accounts.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `accountType` (query, string) The type of investment account, such as Retirement.  
    Example: `Retirement`.
*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved investment account details.
    
    Media type: `application/json`. Schema: `RetrieveBeneficiariesResponse`.
    
    _Example_
    
    ```
    LinkedAccount:
      AccountNumber: AMZ10012
      AccountHolderName: Bob
      AccountType: Individual
      BankReference:
        BankName: HDFC
        RoutingNumber: "2000123008"
        Address:
          Country: USA
          AddressLine2: Floor 61
          AddressType: Mailing Address
          State: CA
          AddressLine1: 415 Mission St
          PostalCode: "94105"
          City: San Francisco
    Beneficiaries:
      Primary:
        -
          BeneficiaryName: Gabriel Basso
          BeneficiaryType: Institution
          IncorporationDate: 04/06/1990
          EmailAddress: gabriel.basso@gmail.com
          MobileNumber: "9835244324"
          InstituionType: Trust
          Address:
            Country: USA
            AddressLine2: Floor 61
            AddressType: Mailing Address
            State: CA
            AddressLine1: 415 Mission St
            PostalCode: "94105"
            City: San Francisco
          SharePercentage: "40"
          PerStirpes: yes
          BeneficiaryId: BFR-8066473
        -
          SharePercentage: "60"
          SSN: 368-46-5302
          MobileNumber: "9807671486"
          RelationshipType: Mother
          EmailAddress: canute.gomes@gmail.com
          BeneficiaryId: BFR-6065227
          BeneficiaryType: Individual
          Address:
            Country: USA
            AddressLine2: Floor 61
            AddressType: Mailing Address
            State: CA
            AddressLine1: 415 Mission St
            PostalCode: "94105"
            City: San Francisco
          BeneficiaryDob: 04/06/1990
          PerStirpes: yes
          BeneficiaryName: Canute Gomes
      Contingent:
        -
          SharePercentage: "40"
          SSN: 569-94-7728
          MobileNumber: "9876541234"
          RelationshipType: Grandson
          EmailAddress: ngela.bundalovic@gmail.com
          BeneficiaryId: BFR-6065228
          BeneficiaryType: Individual
          Address:
            Country: USA
            AddressLine2: Floor 61
            AddressType: Mailing Address
            State: CA
            AddressLine1: 415 Mission St
            PostalCode: "94105"
            City: San Francisco
          BeneficiaryDob: 04/06/1990
          PerStirpes: yes
          BeneficiaryName: Angela Bundalovic
        -
          SharePercentage: "60"
          SSN: 617-10-7229
          MobileNumber: "9862433885"
          RelationshipType: Daughter
          EmailAddress: shailyn.pierre@gmail.com
          BeneficiaryId: BFR-6065229
          BeneficiaryType: Individual
          Address:
            Country: USA
            AddressLine2: Floor 61
            AddressType: Mailing Address
            State: CA
            AddressLine1: 415 Mission St
            PostalCode: "94105"
            City: San Francisco
          BeneficiaryDob: 04/06/1990
          PerStirpes: yes
          BeneficiaryName: Shailyn Pierre
    ```
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve standing instruction

`GET /InvestmentAccounts/{accountId}/Payments/Retrieve`

Retrieves a standing instruction.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `paymentId` (query, string) Unique identifier of a payment order or standing order.  
    Example: `SOT00010000`.
*   `payeeName` (query, string) The beneficiary account holder name.  
    Example: `Amazon`.
*   `amount` (query, string) The payment order amount.  
    Example: `1000`.
*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved standing instruction.
    
    Media type: `application/json`. Schema: `GetPaymentInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Add standing instruction

`POST /InvestmentAccounts/{accountId}/Payments/Initiate`

Adds a standing instruction.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `PaymentInstrcutionsRequest`.

#### Responses

*   **201** Added standing instruction.
    
    Media type: `application/json`. Schema: `PaymentInstrcutionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Cancel standing instruction

`PATCH /InvestmentAccounts/{accountId}/Payments/Update`

Cancels a standing instruction.

#### Parameters

*   `accountId` (path, string, required) The ID of the financial account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `CancelPaymentInstructionsRequest`.

#### Responses

*   **200** Canceled standing instruction.
    
    Media type: `application/json`. Schema: `CancelPaymentInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update customer details

`PATCH /customers/{customerId}`

Updates the customer details.

#### Parameters

*   `customerId` (path, string, required) The unique code that identifies a customer.  
    Example: `CID776623`.

#### Request body

Media type: `application/json`. Schema: `CustomersRequest`.

#### Responses

*   **200** Updated customer details.
    
    Media type: `application/json`. Schema: `CustomersRequest`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server found no valid credentials for accessing the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: The requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The requested resource doesn't support the request method.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as POST /InvestmentAccounts/Initiate 415 response._
    
*   **429** The API request rate limit was exceeded.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while the server processed the request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### BeneficiariesRequest

*   `InvestmentAccounts` (_object_, required)
    *   `AccountIds` (_array of string_, required) The ID of the financial account of the beneficiaries.
    *   `Beneficiaries` (_object_, required)
        *   `Primary` (_array of Beneficiary_, required)
        *   `Contingent` (_array of Beneficiary_)

### BeneficiariesResponse

*   `InvestmentAccounts` (_object_, required)
    *   `AccountIds` (_array of string_, required) The ID of the financial account of the beneficiaries.
    *   `Beneficiaries` (_object_, required)
        *   `Primary` (_array of BeneficiaryResponse_, required)
        *   `Contingent` (_array of BeneficiaryResponse_)

### ErrorResponse

Represents a standard message body to be returned with the error response.

*   `errorCode` (_string_, required) The short code that identifies the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) The human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) The request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) The event date and time.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### UpdateAccountRequest

*   `InvestmentAccounts` (_object_, required)
    *   `AccountIds` (_array of string_, required) The IDs of the financial accounts.
    *   `Addresses` (_array of object_)
        *   `AddressType` (_string_) The customer address type, such as home.  
            Example: `Mailing Address`.
        *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
            Example: `415 Mission St`.
        *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
            Example: `Floor 61`.
        *   `City` (_string_, required) The city of the customer address.  
            Example: `San Francisco`.
        *   `State` (_string_, required) The state of the customer address.  
            Example: `CA`.
        *   `PostalCode` (_string_, required) The postal code of the customer address.  
            Example: `94105`.
        *   `Country` (_string_, required) The country of the customer address.  
            Example: `USA`.
    *   `Beneficiaries` (_object_)
        *   `Primary` (_array of BeneficiariesRequest_, required)
        *   `Contingent` (_array of BeneficiariesRequest_)

### DeleteBeneficiariesRequest

*   `InvestmentAccounts` (_object_, required)
    *   `AccountIds` (_array of string_, required) The ID of the financial account of the beneficiaries.
        
        _Example_
        
        ```
        - "01axx000003MLytAAG"
        - "01axx000003MLytAAT"
        ```
        
    *   `Beneficiaries` (_array of object_, required)
        *   `BeneficiaryId` (_string_, required) The unique code that identifies a beneficiary.  
            Example: `BFR-6065225`.
        *   `BeneficiaryName` (_string_) The name of a beneficiary.  
            Example: `Gabriel Basso`.

### DeleteBeneficiariesResponse

*   `InvestmentAccounts` (_object_, required)
    *   `AccountIds` (_array of string_, required) The ID of the financial account of the beneficiaries.
        
        _Example_
        
        ```
        - "01axx000003MLytAAG"
        - "01axx000003MLytAAT"
        ```
        
    *   `Beneficiaries` (_array of object_, required)
        *   `BeneficiaryId` (_string_, required) The unique code that identifies a beneficiary.  
            Example: `BFR-6065225`.
        *   `Status` (_string_, required) The status of a beneficiary.  
            Example: `DELETED`.

### AcatsRequest

*   `AcatDetails` (_BrokerageAccountTranfer | MutualFundCompanyAccountTransfer | BankTransfer | AnnuityTransfer | ManagedAccountTransfer_, required)
    
    One of: `BrokerageAccountTranfer`, `MutualFundCompanyAccountTransfer`, `BankTransfer`, `AnnuityTransfer`, `ManagedAccountTransfer`.
    

### AcatsResponse

Includes all fields of `AcatsRequestType`.

### RetrieveBeneficiariesResponse

Includes all fields of `RetrieveBeneficiariesResponseType`, `AccountType`.

### GetPaymentInstructionsResponse

*   `PaymentOrders` (_array of PaymentInstrcutionsResponseType_, required)

### PaymentInstrcutionsRequest

The payment instructions request type.

*   `Payments` (_array of object_, required)  
    Minimum items: 1.
    *   `PaymentType` (_string_, required) The type of payment transaction, such as customer payment, standing order, direct debit, or bill pay.  
        Example: `standing order`.
    *   `PaymentMode` (_string_, required) The mode of the payment (Bank Wire, EFT, Journal, Check Disbursement)  
        Example: `Bank Wire`.
    *   `PaymentMechanism` (_string_) The type of payment, such as one-time or recurring.  
        Example: `recurring`.
    *   `PaymentPurpose` (_string_) The purpose of the standing order.  
        Example: `Standing instruction for phone bill 1000 USD`.
    *   `PaymentDefinition` (_object_)
        *   `PaymentAmount` (_object_, required)
            *   `MaxAmount` (_string_, required) The payment amount.  
                Example: `1000`.
            *   `Currency` (_string_, required) The ISO 4217 currency code, which is the currency identifier.  
                Example: `USD`.
    *   `PayeeBankReference` (_object_)
        *   `BankName` (_string_, required) The name of the bank.  
            Example: `ABC`.
        *   `RoutingNumber` (_string_, required) The routing number of the bank.  
            Example: `2000123008`.
    *   `PayeeAccountReference` (_object_)
        *   `PayeeAccountNumber` (_string_, required) The beneficiary account number.  
            Example: `AMZ10012`.
        *   `PayeeAccountType` (_string_) The account type.  
            Example: `savings`.
        *   `PayeeAccountDetails` (_string_) The payee account details.  
            Example: `accountDetails`.
    *   `PayeeCheckReference` (_object_)
        *   `PayeeCheckMode` (_string_, required) The mode of the check.  
            Example: `AMZ10012`.
        *   `PayeeCheckMemo` (_string_) The memo on the check, if any.  
            Example: `savings`.
        *   `PayeeCheckStubInformation` (_string_) The check stub info.  
            Example: `savings`.
    *   `PaymentTransferType` (_string_) The payment transfer type.  
        Example: `1st Party Transfer`.
    *   `PayeeReference` (_object_)
        *   `PayeeName` (_string_, required) The beneficiary account holder's name.  
            Example: `Amazon`.
        *   `PayeeAddress` (_object_)
            *   `AddressType` (_string_) The customer address type, such as home.  
                Example: `Mailing Address`.
            *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                Example: `415 Mission St`.
            *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                Example: `Floor 61`.
            *   `City` (_string_, required) The city of the customer address.  
                Example: `San Francisco`.
            *   `State` (_string_, required) The state of the customer address.  
                Example: `CA`.
            *   `PostalCode` (_string_, required) The postal code of the customer address.  
                Example: `94105`.
            *   `Country` (_string_, required) The country of the customer address.  
                Example: `USA`.

### PaymentInstrcutionsResponse

*   `Payments` (_array of object_, required)  
    Minimum items: 1.
    *   `PaymentId` (_string_, required) The unique identifier of the payment. An update to a payment uses this key to identify the payment.  
        Example: `SOT00010000`.
    *   `CreationDateTime` (_string_, required) Specifies the date and time when the payment order was created.  
        Example: `2023-06-27T11:56:59.001502Z`.

### CancelPaymentInstructionsRequest

*   `PaymentIds` (_array of string_, required) Unique identifiers of payment orders. The list of paymentIds (standingOrderIds) to cancel.
    
    _Example_
    
    ```
    - SOT00010000
    - SOT00010001
    ```
    
*   `PaymentCancelPurpose` (_string_) The reason for cancelling the payment order.  
    Example: `Cancel Standing instruction for phone bill 1000 USD`.

### CancelPaymentInstructionsResponse

*   `PaymentIds` (_array of string_, required) Unique identifiers of payment orders. The list of paymentIds (standingOrderIds) to cancel.
    
    _Example_
    
    ```
    - SOT00010000
    - SOT00010001
    ```
    
*   `CancelDateTime` (_string_, required) The date and time when the payment order is cancelled.  
    Example: `2023-06-27T11:56:59.001502Z`.

### CustomersRequest

*   `ProfileInformation` (_object_, required)
    *   `Addresses` (_array of object_)
        *   `AddressType` (_string_) The customer address type, such as home.  
            Example: `Mailing Address`.
        *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
            Example: `415 Mission St`.
        *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
            Example: `Floor 61`.
        *   `City` (_string_, required) The city of the customer address.  
            Example: `San Francisco`.
        *   `State` (_string_, required) The state of the customer address.  
            Example: `CA`.
        *   `PostalCode` (_string_, required) The postal code of the customer address.  
            Example: `94105`.
        *   `Country` (_string_, required) The country of the customer address.  
            Example: `USA`.
    *   `BirthDate` (_string_)  
        Example: `04/06/1990`.
    *   `FirstName` (_string_)  
        Example: `Shailyn`.
    *   `LastName` (_string_)  
        Example: `Pierre`.
    *   `MaritalStatus` (_string_)  
        Example: `Married`.
    *   `Phone` (_string_) The phone number.  
        Example: `+919876543210`.
    *   `Mobile` (_string_) The mobile number.  
        Example: `+919876543210`.
    *   `Email` (_string_) The email address.  
        Example: `bob.martin@salesforce.com`.
    *   `EmploymentDetails` (_object_)
        *   `EmployerName` (_string_)  
            Example: `Pierre`.
        *   `EmploymentStatus` (_string_)  
            Example: `Retired`.
        *   `Occupation` (_string_)  
            Example: `Business`.

_Example_

```
"ProfileInformation":
  "Addresses":
    -
      "Country": "USA"
      "AddressLine2": "Floor 61"
      "AddressType": "Mailing Address"
      "State": "CA"
      "AddressLine1": "415 Mission St"
      "PostalCode": "94105"
      "City": "San Francisco"
  "Phone": "+919876543210"
  "Mobile": "+919876543210"
  "MaritalStatus": "Married"
  "Email": "bob.martin@salesforce.com"
  "BirthDate": "04/06/1990"
  "FirstName": "Shailyn"
  "LastName": "Pierre"
  "EmploymentDetails":
    "EmployerName": "Pierre"
    "EmploymentStatus": "Retired"
    "Occupation": "Business"
```

### Beneficiary

Beneficiary Details

*   `BeneficiaryName` (_string_, required) The name of the beneficiary.
*   `BeneficiaryType` (_string_, required) The type of beneficiary, Individual or Institution.
*   `BeneficiaryDob` (_string_) The date of birth for a BeneficiaryType of Individual.
*   `SSN` (_string_) The social security number for a BeneficiaryType of Individual.
*   `IncorporationDate` (_string_) The date of incorporation for a BeneficiaryType of Institution.
*   `RelationshipType` (_string_) The relationship to the account holder for a BeneficiaryType of Individual.
*   `InstituionType` (_string_) The type of institution for a BeneficiaryType of Institution.
*   `MobileNumber` (_string_, required) The mobile number of the beneficiary.
*   `EmailAddress` (_string_) The email address of the beneficiary.
*   `Address` (_object_) The address of the beneficiary.
    *   `AddressType` (_string_) The customer address type, such as home.  
        Example: `Mailing Address`.
    *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
        Example: `415 Mission St`.
    *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
        Example: `Floor 61`.
    *   `City` (_string_, required) The city of the customer address.  
        Example: `San Francisco`.
    *   `State` (_string_, required) The state of the customer address.  
        Example: `CA`.
    *   `PostalCode` (_string_, required) The postal code of the customer address.  
        Example: `94105`.
    *   `Country` (_string_, required) The country of the customer address.  
        Example: `USA`.
*   `SharePercentage` (_string_, required) The share percentage of the beneficiary.
*   `PerStirpes` (_string_, required) Whether per stirpes applies to the beneficiary's descendants.

### BeneficiaryResponse

Includes all fields of `Beneficiary`.

*   `BeneficiaryId` (_string_, required) The unique code that identifies a beneficiary.

### BrokerageAccountTranfer

*   `TransferType` (_string_, required) The transfer type.  
    Example: `Brokerage Account Transfer`.
*   `AcatType` (_string_, required) The type of acat transfer.  
    Example: `PARTIAL_TRANSFER`.
*   `TransferDetails` (_object_) If the AcatType is not FULL\_TRANSFER, send TransferDetails.
    *   `Securities` (_array of SECURITY_)
    *   `Cash` (_CASH | TRANSFER\_ALL_)
        
        One of: `CASH`, `TRANSFER_ALL`.
        

### MutualFundCompanyAccountTransfer

*   `TransferType` (_string_, required) The transfer type.  
    Example: `Mutual Fund Company Account Transfer`.
*   `AcatType` (_string_, required) The type of acat transfer.  
    Example: `PARTIAL_TRANSFER`.
*   `TransferDetails` (_object_)
    *   `FundsTransfer` (_array of object_, required) The list of assets to be transferred.  
        Minimum items: 1.
        *   `FundName` (_string_, required) The name of fund to be transferred.  
            Example: `HDFC Mutual Fund`.
        *   `AccountNumber` (_string_, required) The number of the account receiving the transfer.  
            Example: `AC123667`.
        *   `Quantity` (_string_) The number of funds to be transferred.  
            Example: `100`.
        *   `TransferAll` (_string_) Specifies whether to transfer the entire quantity.  
            Example: `Yes`.
        *   `TransferInstruction` (_string_, required) The transfer instruction, either In-Kind or Liquidate.  
            Example: `In-Kind`.

### BankTransfer

*   `TransferType` (_string_, required) The transfer type.  
    Example: `Bank Or Credit Union Account Transfer`.
*   `TransferDetails` (_object_, required)
    *   `CashTransfer` (_CASH | TRANSFER\_ALL_)
        
        One of: `CASH`, `TRANSFER_ALL`.
        
    *   `CDTransfer` (_LIQUIDATE_)

### AnnuityTransfer

*   `TransferType` (_string_, required) The transfer type.  
    Example: `Annuity Transfer`.
*   `TransferDetails` (_object_, required)
    *   `AnnuityTransfer` (_ANNUITY_, required)

### ManagedAccountTransfer

*   `TransferType` (_string_, required) The transfer type.  
    Example: `Agent Transfer`.
*   `TransferDetails` (_object_, required)
    *   `ManagedAccountTransfer` (_MANAGED\_ACCOUNT_, required)

### AcatsRequestType

*   `AcatDetails` (_BrokerageAccountTranfer | MutualFundCompanyAccountTransfer | BankTransfer | AnnuityTransfer | ManagedAccountTransfer_, required)
    
    One of: `BrokerageAccountTranfer`, `MutualFundCompanyAccountTransfer`, `BankTransfer`, `AnnuityTransfer`, `ManagedAccountTransfer`.
    

### RetrieveBeneficiariesResponseType

*   `Beneficiaries` (_object_, required)
    *   `Primary` (_array of BeneficiaryResponse_, required)
    *   `Contingent` (_array of BeneficiaryResponse_)

### AccountType

*   `LinkedAccount` (_object_, required) Specifies Primary account details
    *   `AccountNumber` (_string_, required) The beneficiary account number.  
        Example: `AMZ10012`.
    *   `AccountHolderName` (_string_, required) The name of the account holder.  
        Example: `bob`.
    *   `AccountType` (_string_, required) The type of account.  
        Example: `savings`.
    *   `BankReference` (_object_, required)
        *   `RoutingNumber` (_string_, required) The routing number of the bank.  
            Example: `2000123008`.
        *   `BankName` (_string_, required) The name of the bank.  
            Example: `HDFC`.
        *   `Address` (_object_, required)
            *   `AddressType` (_string_) The customer address type, such as home.  
                Example: `Mailing Address`.
            *   `AddressLine1` (_string_, required) Line 1 of the customer address.  
                Example: `415 Mission St`.
            *   `AddressLine2` (_string_) Line 2 of the customer address, if needed.  
                Example: `Floor 61`.
            *   `City` (_string_, required) The city of the customer address.  
                Example: `San Francisco`.
            *   `State` (_string_, required) The state of the customer address.  
                Example: `CA`.
            *   `PostalCode` (_string_, required) The postal code of the customer address.  
                Example: `94105`.
            *   `Country` (_string_, required) The country of the customer address.  
                Example: `USA`.

### PaymentInstrcutionsResponseType

*   `Payments` (_array of object_, required)  
    Minimum items: 1.
    *   `PaymentId` (_string_, required) The unique identifier of the payment. An update to a payment uses this key to identify the payment.  
        Example: `SOT00010000`.
    *   `CreationDateTime` (_string_, required) Specifies the date and time when the payment order was created.  
        Example: `2023-06-27T11:56:59.001502Z`.

### SECURITY

The security details to be moved from the account.

*   `SecurityName` (_string_, required) The name of the security.  
    Example: `ABC`.
*   `TransferAll` (_string_) Specifies whether to transfer the entire quantity. If "Yes" then "Quantity" is optional to pass, If "No" then "Quantity" should be passed  
    Example: `No`.
*   `Quantity` (_string_) The number of units of the security.  
    Example: `200`.

### CASH

The amount of cash to be moved from the account.

*   `Amount` (_string_, required) The amount, either a custom value or ALL.  
    Example: `1000`.
*   `Currency` (_string_, required) Specifies the ISO 4217 currency code, which is the currency identifier.  
    Example: `USD`.

### TRANSFER\_ALL

*   `TransferAll` (_string_, required) Specifies whether to transfer the entire quantity.  
    Example: `Yes`.

### LIQUIDATE

The liquidation details to be moved from the account.

*   `LiquidateAt` (_string_, required) The liquidate CD date (either a maturity date or immediately).  
    Example: `Immediately`.

### ANNUITY

The Annuity details to be moved from account.

*   `AnnuityType` (_string_, required) The annuity type (Full/Partial).  
    Example: `FULL`.
*   `AnnuityDate` (_string_) The annuity surrender date.  
    Example: `11/13/2023`.
*   `AnnuityAmount` (_CASH_)

### MANAGED\_ACCOUNT

The shares & sellfraction details to be moved from the account.

*   `Shares` (_object_, required) The share details to be transfered.
    *   `Quantity` (_string_) The number of shares.  
        Example: `200`.
    *   `TransferAll` (_string_) Specifies whether to transfer the entire quantity.  
        Example: `Yes`.
*   `SellFractions` (_object_) The sellFractions details to be transfered.
    *   `Quantity` (_string_) The number of sellFractions.  
        Example: `200`.
    *   `TransferAll` (_string_) Specifies whether to transfer the entire quantity.  
        Example: `Yes`.
*   `CloseAccount` (_string_) Specifies whether to close the account.  
    Example: `Yes`.